Get tag
GET
/tags/{id}Fetches the details of a tag
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TagsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TagsApi(config);
const result = await api.getTag({ "id": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/tags/123?token=$TESTCOLLAB_TOKEN"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer | Yes | ID of the tag |
Response
Section titled “Response”200 — Tag details
| Field | Type | Required | Description |
|---|---|---|---|
id |
number | Yes | — |
name |
string | Yes | — |
test_case_count |
number | No | — |
{ "id": 123, "name": "example", "test_case_count": 123}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
401 |
Unauthorized |
403 |
Forbidden |
404 |
Not found |
500 |
Internal server error |